
var Object = require ('./object');

/**
 * A holder for another object.
 **/
module.exports = new Class
({
	Extends: Object
	,Properties:
	{
		id:
		{
			type: String
			,value: null
		}
	}

	,render: function (batch)
	{
		var object;

		if (batch && (object = batch.get (this.id)))
			return object.render (batch);
			
		return '#'+ this.id;
	}
});
